$(document).ready(function(){ //ждем загрузки страницы

  $('#tree legend').click( function() { //ловим клик на legend
      //если внутри legend у нас '+', меняем его на минус, и наоборот
      //надо бы как-то поизящнее, но это работает 
      if ($(this).text() == '+') {$(this).text('−');}
      else {$(this).text('+');}
      var currthread = $(this).parent('fieldset'); //пишем в переменную currthread ближайший родительский fieldset
      //и удаляем/добавляем всем ее детям класс closed
      $(currthread).children('fieldset').toggleClass('closed'); 
    });

  $('.tri:input:checkbox').click( function() { //при смене состояния любого чекбокса с классом .tri  

      //для каждого fieldset, у которого есть потомки-fieldset
	var chkbx = $(this).parent().parent().find('input:checkbox');//.not(':first'); //выбираем всех чекбоксов-детей-внуков и т.д.
	var chkd = $(chkbx).filter('input:checkbox:checked'); //выбираем чекнутые чекбоксы среди полученного набора

	var glob_chkd = $(this).parent().parent().parent().parent().parent().find('.tri:input:checkbox').filter('input:checkbox:checked');
	
   
          if (chkd.length == chkbx.length) { //если кол-во чекнутых равно общему кол-ву чекбоксов, то чекаем и этот чекбокс
$(this).parent().parent().parent().find('.dwon').attr({'indeterminate':false, 'checked':true});
$(this).parent().parent().parent().find('.onezz').attr({'indeterminate':false, 'checked':true});
$(this).parent().parent().parent().find('.dwon').toggleClass('onezz');
$(this).parent().parent().parent().find('.onezz').toggleClass('dwon');
  //alert ('кол-во чекнутых равно общему кол-ву чекбоксов');
          }
          
          else if (chkd.length == 0) { //если кол-во чекнутых равно 0, то отменяем чек у этого чекбокса
$(this).parent().parent().parent().find('.dwon').attr({'indeterminate':false, 'checked':false});
$(this).parent().parent().parent().find('.onezz').attr({'indeterminate':false, 'checked':false});
$(this).parent().parent().parent().find('.onezz').toggleClass('dwon');
$(this).parent().parent().parent().find('.onezz').toggleClass('onezz');

  //alert ('кол-во чекнутых равно 0');
          }
          
          else if (chkd.length < chkbx.length) { //если чекнутые есть, но их меньше, чем всех чекбоксов, то делаем этот indeterminate
$(this).parent().parent().parent().find('.dwon').attr({'indeterminate':true, 'checked':false});
$(this).parent().parent().parent().find('.onezz').attr({'indeterminate':true, 'checked':false});
$(this).parent().parent().parent().find('.onezz').toggleClass('dwon');
$(this).parent().parent().parent().find('.onezz').toggleClass('onezz');

  //alert ('чекнутые есть, но их меньше, чем всех чекбоксов');
          }	 
		  
		  
		  
          if (glob_chkd.length == 10 || glob_chkd.length == 11) { //если чекнутые больше 10, то стоп
// alert (glob_chkd.length);
  //$(this).attr({'checked':false});
  alert ('Выбрано более 10 категорий для сравнения, это усложняет таблицу и делает ее трудночитаемой.');
          }			  
		   
      
  });
  
  
  
$('.dwon').click(function(){ 
//alert ($(this).hasClass('onezz'));
if ($(this).hasClass('dwon')==true){
$(this).parent().parent().find('.tri').attr('checked',true);
$(this).toggleClass('onezz'); 
$(this).toggleClass('dwon');
}
else{
$(this).parent().parent().find('.tri').attr('checked',false);
$(this).toggleClass('onezz'); 
$(this).toggleClass('dwon');
}


});
	

// Эксперименты с привязкой Чеков

// Население
$('#demography_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==14)
{$(".demography").show();}else{$(".demography").hide();}});

//$('#demography_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==14)
//{$(".demography").hide();}else{$(".demography").show();}});


$('#population_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".population_td").show();}else{$(".population_td").hide();}});

$('#population_density_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".population_density_td").show();}else{$(".population_density_td").hide();}});

$('#urbanization_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".urbanization_td").show();}else{$(".urbanization_td").hide();}});

$('#newborn_mw_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".newborn_mw_td").show();}else{$(".newborn_mw_td").hide();}});

$('#mw_0_14_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mw_0_14_td").show();}else{$(".mw_0_14_td").hide();}});

$('#mw_15_24_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mw_15_24_td").show();}else{$(".mw_15_24_td").hide();}});

$('#mw_25_54_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mw_25_54_td").show();}else{$(".mw_25_54_td").hide();}});

$('#mw_55_65_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mw_55_65_td").show();}else{$(".mw_55_65_td").hide();}});

$('#mw_65_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mw_65_td").show();}else{$(".mw_65_td").hide();}});

$('#mw_all_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mw_all_td").show();}else{$(".mw_all_td").hide();}});

$('#fertility_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".fertility_td").show();}else{$(".fertility_td").hide();}});

$('#mortality_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".mortality_td").show();}else{$(".mortality_td").hide();}});

$('#ferti_morta_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".ferti_morta_td").show();}else{$(".ferti_morta_td").hide();}});
			
// География
$('#geography_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==5)
{$(".geography").show();}else{$(".geography").hide();}});

$('#area_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".area_td").show();}else{$(".area_td").hide();}});

$('#forest_area_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".forest_area_td").show();}else{$(".forest_area_td").hide();}});

$('#forest_area_pr_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".forest_area_pr_td").show();}else{$(".forest_area_pr_td").hide();}});

$('#peak_height_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".peak_height_td").show();}else{$(".peak_height_td").hide();}});

// Туризм
$('#tourism_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==7)
{$(".tourism").show();}else{$(".tourism").hide();}});

$('#vvp_tourism_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".vvp_tourism_td").show();}else{$(".vvp_tourism_td").hide();}});

$('#number_tourists_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".number_tourists_td").show();}else{$(".number_tourists_td").hide();}});

$('#expenses_tourists_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".expenses_tourists_td").show();}else{$(".expenses_tourists_td").hide();}});

$('#unesco_art_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".unesco_art_td").show();}else{$(".unesco_art_td").hide();}});

$('#unesco_nature_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".unesco_nature_td").show();}else{$(".unesco_nature_td").hide();}});

$('#best_beaches_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".best_beaches_td").show();}else{$(".best_beaches_td").hide();}});

// Медицина
$('#medicine_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==8)
{$(".medicine").show();}else{$(".medicine").hide();}});

$('#vvp_medicine_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".vvp_medicine_td").show();}else{$(".vvp_medicine_td").hide();}});

$('#average_age_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".average_age_td").show();}else{$(".average_age_td").hide();}});

$('#life_expectancy_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".life_expectancy_td").show();}else{$(".life_expectancy_td").hide();}});

$('#height_male_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".height_male_td").show();}else{$(".height_male_td").hide();}});

$('#height_woman_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".height_woman_td").show();}else{$(".height_woman_td").hide();}});

$('#hiv_positive_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".hiv_positive_td").show();}else{$(".hiv_positive_td").hide();}});

$('#obesity_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".obesity_td").show();}else{$(".obesity_td").hide();}});

// Энергетика
$('#electricity_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==7)
{$(".electricity").show();}else{$(".electricity").hide();}});

$('#electricity_production_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".electricity_production_td").show();}else{$(".electricity_production_td").hide();}});

$('#electricity_consumption_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".electricity_consumption_td").show();}else{$(".electricity_consumption_td").hide();}});

$('#electricity_fossil_fuels_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".electricity_fossil_fuels_td").show();}else{$(".electricity_fossil_fuels_td").hide();}});

$('#electricity_nuclear_fuel_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".electricity_nuclear_fuel_td").show();}else{$(".electricity_nuclear_fuel_td").hide();}});

$('#electricity_hydroelectric_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".electricity_hydroelectric_td").show();}else{$(".electricity_hydroelectric_td").hide();}});

$('#electricity_renewable_source_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".electricity_renewable_source_td").show();}else{$(".electricity_renewable_source_td").hide();}});

// Образование
$('#education_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==6)
{$(".education").show();}else{$(".education").hide();}});

$('#vvp_education_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".vvp_education_td").show();}else{$(".vvp_education_td").hide();}});

$('#number_universities_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".number_universities_td").show();}else{$(".number_universities_td").hide();}});

$('#rating_universities_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".rating_universities_td").show();}else{$(".rating_universities_td").hide();}});

$('#education_index_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".education_index_td").show();}else{$(".education_index_td").hide();}});

$('#human_development_index_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".human_development_index_td").show();}else{$(".human_development_index_td").hide();}});

// Производство
$('#industry_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==3)
{$(".industry").show();}else{$(".industry").hide();}});

$('#oil_production_16_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".oil_production_16_td").show();}else{$(".oil_production_16_td").hide();}});

$('#gas_production_16_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".gas_production_16_td").show();}else{$(".gas_production_16_td").hide();}});

// Индексы WEF в сфере туризма
$('#wef_tt2017_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==7)
{$(".wef_tt2017").show();}else{$(".wef_tt2017").hide();}});

$('#tt_index_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".tt_index_td").show();}else{$(".tt_index_td").hide();}});

$('#business_environ_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".business_environ_td").show();}else{$(".business_environ_td").hide();}});

$('#safety_security_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".safety_security_td").show();}else{$(".safety_security_td").hide();}});

$('#health_hygiene_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".health_hygiene_td").show();}else{$(".health_hygiene_td").hide();}});

$('#price_competitiveness_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".price_competitiveness_td").show();}else{$(".price_competitiveness_td").hide();}});

$('#quality_of_roads_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".quality_of_roads_td").show();}else{$(".quality_of_roads_td").hide();}});

// Экономика
$('#economy_div').click(function(){if ($(this).parent().parent().find('input:checkbox').filter('input:checkbox:checked').length==6)
{$(".economy").show();}else{$(".economy").hide();}});
$('#vvp_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".vvp_td").show();}else{$(".vvp_td").hide();}});
$('#average_salary_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".average_salary_td").show();}else{$(".average_salary_td").hide();}});
$('#gasoline_251217_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".gasoline_251217_td").show();}else{$(".gasoline_251217_td").hide();}});
$('#diesel_251217_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".diesel_251217_td").show();}else{$(".diesel_251217_td").hide();}});

$('#unemployment_check').click(function(){if ($(this).filter('input:checkbox:checked').length==1)
{$(".unemployment_td").show();}else{$(".unemployment_td").hide();}});



});
  
 
  
  
      
